<template>
  <div class="mx-auto px-10 py-6">
    <button @click="$router.go(-1)" class="mb-6 inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md shadow-sm text-white bg-blue-500 hover:bg-blue-600 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
      Go Back
    </button>
    <div class="max-w-7xl mx-auto px-4 sm:px-6 md:px-8">
      <h1 class="text-2xl font-semibold text-gray-900">Create my own project</h1>
    </div>
    <VumikForm class="px-4 py-8 space-y-6" v-model="formData" @submit="tryCreate()">
      <div class="grid grid-cols-1 gap-y-6 gap-x-4 sm:grid-cols-6">
        <div class="sm:col-span-3">
          <label for="title" class="block text-sm font-medium text-gray-700">
            Title
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="title" placeholder="Title of the project" />
          </div>
        </div>
        <div class="sm:col-span-6">
          <label for="description" class="block text-sm font-medium text-gray-700">
            Description
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="description" />
          </div>
        </div>
        <div class="sm:col-span-3">
          <label for="phoneNumber" class="block text-sm font-medium text-gray-700">
            Phone Number
          </label>
          <div class="mt-1">
            <VumikInput type="text" name="phoneNumber" />
          </div>
        </div>
        <div class="sm:col-span-3">
          <label for="email" class="block text-sm font-medium text-gray-700">
            Email
          </label>
          <div class="mt-1">
            <VumikInput type="email" name="email" />
          </div>
        </div>
        <div class="sm:col-start-5 sm:col-span-1 self-center justify-self-end">
          <router-link to="/" class="whitespace-nowrap text-base font-medium text-gray-500 hover:text-gray-900">Cancel</router-link>
        </div>
        <div class="sm:col-start-6 sm:col-span-1">
          <VumikInput type="submit" value="Send"/>
        </div>
      </div>
    </VumikForm>
  </div>
</template>

<script>
import { mapActions } from 'vuex'

export default {
  name: 'CreateProject',
  data () {
    return {
      formData: {
        title: '',
        description: '',
        phoneNumber: '',
        email: ''
      }
    }
  },
  methods: {
    ...mapActions('project', ['createProject']),
    tryCreate () {
      this.createProject(this.formData).then(() => this.$router.push('/projects'))
    }
  }
}
</script>
